import { post } from '../utils/request'

/**
 * 创建新考试
 * @param {Object} examData - 考试数据
 * @param {string} examData.title - 考试标题
 * @param {string} examData.description - 考试描述
 * @param {string} examData.startTime - 开始时间
 * @param {string} examData.endTime - 结束时间
 * @param {number} examData.duration - 考试时长(分钟)
 * @param {number} examData.totalScore - 总分
 * @param {number} examData.passScore - 及格分数
 * @param {Array} examData.sections - 考试章节
 * @param {Array} examData.sections[].questions - 章节中的题目
 * @returns {Promise}
 */
export function createExam(examData) {
  return post('/exams', examData)
} 